WordPress.org

Support

Support » Installation » upgrade failed: Cannot instantiate non-existent class:

upgrade failed: Cannot instantiate non-existent class:

  • I followed the upgrade instructions on the WordPress site from 1.0 to 2.0. When I got to the upgrade.php script I get the following error:

    Fatal error: Cannot instantiate non-existent class: wp_user in /home/goroboti/public_html/gallamine/charles/wp-includes/pluggable-functions.php on line 53

    Any thoughts why?

Viewing 8 replies - 1 through 8 (of 8 total)
  • *bump*

    Are some of the files CHMODed wrong? Can’t connect to the DB?

    I don’t think you can upgrade from 1.0 to 2.0 directly, you probably have to upgrade to 1.5.2 then to 2.0. Search around a bit though, I’m not sure exactly what the sequence is.

    You definitely have to go to 2 from 1.5.

    Actually, I misspoke. It’s an upgrade from 1.5 to 2.0. I just installed WP last June, so it had to have been 1.5.

    So, no one has any idea what would be causing this error:

    Fatal error: Cannot instantiate non-existent class: wp_user in /home/goroboti/public_html/gallamine/charles/wp-includes/pluggable-functions.php on line 53

    In an upgrade from 1.5 to 2.0?

    Could it have to do with my plugins? I deactivated all of them before upgrading. Is there a way to check which plugins are trying to be included? Is that somewhere in the DB?

    Moderator Mark Jaquith

    @markjaquith

    Try reuploading all the WP files, especially /wp-includes/ and /wp-content/ directories. This sounds like the wp_user class is never getting defined, which means there might be a problem with the file that contains it.

    markjaquith, that was the solution. Simple, but I didn’t think of it. Thanks a ton!!

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘upgrade failed: Cannot instantiate non-existent class:’ is closed to new replies.